<template>
  <div
    ref="modal"
    class="modal"
    tabindex="-1"
    role="dialog">
    <slot name="make-sale"/>
    <slot name="quick-cash"/>
    <slot name="disease"/>
    <slot name="edit-officals"/>
    <slot name="clipart"/>
    <slot name="border"/>
    <slot name="rewards"/>
    <slot name="check-balance"/>
    <slot name="submit-story"/>
    <slot name="suggestion"/>
    <slot name="survey"/>
    <slot name="shopping"/>
    <slot name="like"/>
    <slot name="logout"/>
    <slot name="timeout"/>
    <slot name="repair"/>
    <slot name="newspaper-photos"/>
  </div>
</template>

<script>

  import Vue from "vue";

  export default Vue.component( "modal", {
    data() {
      return {
        imgSrc: '',
        componentID: '',
      }
    },
    methods : {
      Open(index = null){
        if(index) {
          console.log(index);
          this.question_title_index = index;
          $(this.$refs.modal).modal( 'show' );
        } else {
          $(this.$refs.modal).modal( 'show' );
        }
      },
      Close(){
        this.componentID = '';
        this.imgSrc = '';
        $(this.$refs.modal).modal( 'hide' );
      },
      saveImgSrc() {
        this.$emit('saved-image', { id: this.question_title_index, src: this.imgSrc });
        this.Close();
      },
      toggleSelectedStyle(element, array) {
        array.forEach(function (object) {
          if(object.id == element.id) {
            object.selected = true;
          } else {
            object.selected = false;
          }
        })
        this.$emit('selected-image');
        this.imgSrc = element.stub;
      },
    },
  } );

</script>